# CalendarDependency

For indicating a dependency upon calendar codes
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **calendars** | **List[str]** | Required | The Codes of the calendars that are depended upon. |
| **dependency_type** | **str** | Required | Available values: OpaqueDependency, CashDependency, DiscountingDependency, EquityCurveDependency, EquityVolDependency, FxDependency, FxForwardsDependency, FxVolDependency, IndexProjectionDependency, IrVolDependency, QuoteDependency, Vendor, CalendarDependency, InflationFixingDependency. |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.lusid.models.CalendarDependency import CalendarDependency

instance = CalendarDependency(
    calendars=,  # required — The Codes of the calendars that are depended upon.
    dependency_type="..."  # required — Available values: OpaqueDependency, CashDependency, DiscountingDependency, EquityCurveDependency, EquityVolDependency, FxDependency, FxForwardsDependency, FxVolDependency, IndexProjectionDependency, IrVolDependency, QuoteDependency, Vendor, CalendarDependency, InflationFixingDependency.
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

